All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess.metadata
Class OutputParameter

    com.sas.services.storedprocess.metadata.OutputParameter

All Implemented Interfaces:
  java.io.Serializable

    public class OutputParameter

implements java.io.Serializable

Design time output parameter.

Since:
  9.2
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TYPE_DATE`
`static java.lang.String` | `TYPE_DOUBLE`
`static java.lang.String` | `TYPE_INTEGER`
`static java.lang.String` | `TYPE_STRING`
`static java.lang.String` | `TYPE_TIME`
`static java.lang.String` | `TYPE_TIMESTAMP`

Constructor Summary
`OutputParameter()` Constructs an empty output parameter.

Method Summary
`java.lang.String` | `getDescription()` Returns the description.
`java.lang.String` | `getLabel()` Returns the label.
`java.lang.String` | `getName()` Returns the name of the output parameter.
`java.lang.String` | `getType()` Returns the type of the output parameter.
`void` | `setDescription(java.lang.String description)` Sets the description.
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setName(java.lang.String name)` Returns the name of the output parameter.
`void` | `setType(java.lang.String type)` Returns the type of the output parameter.
`void` | `validate()` Validates the OutputParameter.

Field Detail

### TYPE_DATE

    public static java.lang.String TYPE_DATE

### TYPE_DOUBLE

    public static java.lang.String TYPE_DOUBLE

### TYPE_INTEGER

    public static java.lang.String TYPE_INTEGER

### TYPE_TIME

    public static java.lang.String TYPE_TIME

### TYPE_TIMESTAMP

    public static java.lang.String TYPE_TIMESTAMP

### TYPE_STRING

    public static java.lang.String TYPE_STRING

Constructor Detail

### OutputParameter

    public OutputParameter()

  Constructs an empty output parameter.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the description.

### getLabel

    public java.lang.String getLabel()

  Returns the label.

### getName

    public java.lang.String getName()

  Returns the name of the output parameter.

### getType

    public java.lang.String getType()

  Returns the type of the output parameter. The type is one of
  - `TYPE_DATE`
  - `TYPE_DOUBLE`
  - `TYPE_INTEGER`
  - `TYPE_TIME`
  - `TYPE_TIMESTAMP`
  - `TYPE_STRING`

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description.

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

### setName

    public void setName(java.lang.String name)

  Returns the name of the output parameter.

### setType

    public void setType(java.lang.String type)

  Returns the type of the output parameter. The type is one of
  - `TYPE_DATE`
  - `TYPE_DOUBLE`
  - `TYPE_INTEGER`
  - `TYPE_TIME`
  - `TYPE_TIMESTAMP`
  - `TYPE_STRING`

### validate

    public void validate()
                  throws ServiceException

  Validates the OutputParameter. There is no requirement for consumer code to call this method. The name and type are validated. The name should be non-empty and satisfy the requirements of `Names.validateSASVariableName()`. The type should be one of the types listed in `setType(String)`.

  Throws:
    `ServiceException` - if validation fails

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.